commit:     64a9cd77fe5728ed28533ac6886528d5343f1dd0
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 30 11:15:11 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Fri Oct 30 12:03:49 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=64a9cd77

net-analyzer/linkchecker: Move to virtual/dnspython

Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 net-analyzer/linkchecker/linkchecker-9.3-r1.ebuild | 5 ++++-
 net-analyzer/linkchecker/linkchecker-9999.ebuild   | 4 ++--
 2 files changed, 6 insertions(+), 3 deletions(-)

diff --git a/net-analyzer/linkchecker/linkchecker-9.3-r1.ebuild 
b/net-analyzer/linkchecker/linkchecker-9.3-r1.ebuild
index 8f1219f..a85d6a4 100644
--- a/net-analyzer/linkchecker/linkchecker-9.3-r1.ebuild
+++ b/net-analyzer/linkchecker/linkchecker-9.3-r1.ebuild
@@ -22,7 +22,10 @@ KEYWORDS="amd64 x86 ~ppc-macos ~x64-solaris"
 IUSE="gnome sqlite X"
 
 RDEPEND="
-       dev-python/dnspython[${PYTHON_USEDEP}]
+       || (
+               dev-python/dnspython:0[${PYTHON_USEDEP}]
+               virtual/dnspython[${PYTHON_USEDEP}]
+               )
        >=dev-python/requests-2.2.1[${PYTHON_USEDEP}]
        gnome? ( dev-python/pygtk:2[${PYTHON_USEDEP}] )
        X? (

diff --git a/net-analyzer/linkchecker/linkchecker-9999.ebuild 
b/net-analyzer/linkchecker/linkchecker-9999.ebuild
index 7b9129b..bf7f343 100644
--- a/net-analyzer/linkchecker/linkchecker-9999.ebuild
+++ b/net-analyzer/linkchecker/linkchecker-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -22,7 +22,7 @@ KEYWORDS=""
 IUSE="gnome sqlite X"
 
 RDEPEND="
-       dev-python/dnspython[${PYTHON_USEDEP}]
+       virtual/dnspython[${PYTHON_USEDEP}]
        gnome? ( dev-python/pygtk:2[${PYTHON_USEDEP}] )
        X? (
                dev-python/PyQt4[X,help,${PYTHON_USEDEP}]

Reply via email to